Changes between Initial Version and Version 13 of Ticket #54


Ignore:
Timestamp:
01/11/14 16:59:07 (8 years ago)
Author:
ossi
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #54

    • Property Status changed from new to closed
    • Property Votes for changeset changed from to commited-master
    • Property Severity changed from to merged
    • Property Reporter changed from slavazanko to egmont
    • Property Keywords groupbox added
    • Property Version changed from to 4.6.1
    • Property Branch state changed from to no branch
    • Property Milestone changed from to 4.7.0-pre4
    • Property Owner set to andrew_b
    • Property Resolution changed from to fixed
  • Ticket #54 – Description

    initial v13  
    77||Release:||current (CVS or snapshot)||Operating System:||GNU/Linux|| 
    88 
    9 Discussion: 
     9Original submission: 
    1010{{{ 
    11 Fri 05 Jan 2007 01:40:25 PM UTC, comment #1: 
    12  
    13 Oh, well. The mouse event is directed to the groupbox (the frame  
    14 holding other widgets inside it). The bad thing is that the  
    15 groupbox is rather simplistic widget and it doesn't know anything  
    16 about the widgets that are displayed inside it :( IMO, the real  
    17 solution to this problem should involve teaching the groupbox that  
    18 it holds other widgets (i.e. making it a real container widget). A  
    19 simplistic solution would be to skip groupboxes when dispatching  
    20 mouse events. 
    21         Pavel Tsekov <ptsekov> 
    22 Project Administrator 
    23 Thu 04 Jan 2007 06:52:40 PM UTC, original submission: 
    24  
    2511Under Options/Configuration and Options/Layout, checkbox or  
    2612radiobutton options that precede the currently focused widget are  
     
    3622console (gpm) and in gnome-terminal.  
    3723}}} 
     24 
     25Comment 1 by Pavel Tsekov <ptsekov> at Fri 05 Jan 2007 01:40:25 PM UTC: 
     26{{{ 
     27Oh, well. The mouse event is directed to the groupbox (the frame  
     28holding other widgets inside it). The bad thing is that the  
     29groupbox is rather simplistic widget and it doesn't know anything  
     30about the widgets that are displayed inside it :( IMO, the real  
     31solution to this problem should involve teaching the groupbox that  
     32it holds other widgets (i.e. making it a real container widget). A  
     33simplistic solution would be to skip groupboxes when dispatching  
     34mouse events. 
     35}}}